%define		_class		HTML
%define		_subclass	Select
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Name:		php-pear-%{_pearname}
Version:	1.2.1
Release:	%mkrel 2
Summary:	HTML_Select is a class for generating HTML form select elements
License:	PHP License
Group:		Development/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tar.bz2
URL:		http://pear.php.net/package/HTML_Select_Common/
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Obsoletes:	php-pear-HTML_Select
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
HTML_Select provides an OOP way of generating HTML form select elements.

In PEAR status of this package is: %{_status}.

%prep
%setup -q -c

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/pear/%{_class}

install %{_pearname}-%{version}/Select.php %{buildroot}%{_datadir}/pear/%{_class}

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{_pearname}.xml


%changelog
* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-2mdv2007.1
+ Revision: 121035
- rebuild

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdv2007.0
+ Revision: 81657
- Import php-pear-HTML_Select



* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdv2007.0
- first mdv release
